Try the CL2C API
Pick an endpoint, fill in the values, and send a real request with your API key. Use a test key while you explore.
23 endpoints
Full URL
put
https://developer.taliware.com/api/v1/cl2c/nft/{id}Update an asset
Updates an asset's name, description, status, or mintedAt. Only possible before it is finalized (while CREATED or PENDING).
x-api-key<token>
In: header
Path Parameters
idstring
name?string
description?string
externalUrl?string
Format
urisupply?integer
Range
1 <= valuemetadata?object
Empty Object
Response Body
curl -X PUT "https://developer.taliware.com/api/v1/cl2c/nft/string" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "string",
"status": "string",
"name": "string",
"description": "string",
"externalUrl": "string",
"imagePath": "string",
"supply": 0,
"mintedAt": "2019-08-24T14:15:22Z",
"smartContract": {
"id": "string",
"name": "string",
"symbol": "string",
"contractAddress": "string",
"status": "string",
"network": "string",
"env": "string"
}
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}{
"error": "string",
"details": [
"string"
]
}